/****************************************************************************
 **                                                                        **
 **    File:           argflags.h                                          **
 **    Author:         Roger Preston                                       **
 **    Created:        Mon Dec 19 11:39:14 EST 1988                        **
 **    Contents :      Some flag arguments for various routines            **
 **                                                                        **
 **    Copyright (c) 1988 BBN Communications Corp.                         **
 **    All rights reserved.                                                **
 **                                                                        **
 ****************************************************************************/
#define UNDEFINED -1
#ifndef NULL
#define NULL 0
#endif

/*codes returned by atoiv*/
#define ATOI_GOOD 0         /*returned for complete number conversion*/
#define ATOI_BAD  -1        /*conversion failure because of non-numeric data*/
#define ATOI_NULL -2        /*trying to convert null string*/

/*returned by smatch, when comparing two strings*/
#define SUBSTRING       1
#define EXACT_MATCH     2

/* used by the loop control field in an ilp structure */
#define DONT_LOOP       0
#define FIRST_TIME      1
#define MANY_TIMES      2
